Subject: bug#54399: 27.2; Problems with (let ((custom-variable ...)) (autoload-function ...))

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Mar 2022 12:23:33 +0100

Ignacio Casso <[email-masked]> writes:

> Calling an autoload function under the following circumstances does not
> always work as expected:
>
>   - the function uses a variable defined with defcustom in the same file
>     as the function.
>
>   - the function is called inside a let form that binds that same
>     variable.

I don't think this is supported?  And it's not just with user options --
normal variables will end up being unbound if you do this (unless this
has been changed since I looked at this a decade ago).  And I think it's
documented, too?  Or am I misremembering?  Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no